Bug 374559 - Add "Width" and "Height" separately to Additional Information -> Images
Summary: Add "Width" and "Height" separately to Additional Information -> Images
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: details mode (show other bugs)
Version: 16.12.2
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-04 21:05 UTC by andreas
Modified: 2018-04-01 21:01 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.07.80


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas 2017-01-04 21:05:05 UTC
can you add the following entries:
- width
- height
I know image size is available but for sorting width/height would be more usefull.

at my installation the orientation entry didn't work
Comment 1 Nate Graham 2017-09-04 04:22:26 UTC
It's easy enough to add these as view options, since the information is already available. The question is... do we want to? Is this niche use case worth cluttering the menu up with two additional options that duplicate more general functionality that's already available?
Comment 2 Nate Graham 2017-09-04 21:49:46 UTC
Yeah, I think it's worth it. The additional information columns are pretty well hidden, and anyone who goes poking around in there probably knows what they're doing and wants lots of extra information.
Comment 3 Nate Graham 2018-04-01 17:30:35 UTC
Git commit 1441fefc07f126c1c9eddc3e9f1babff8b762b28 by Nathaniel Graham, on behalf of Julian Schraner.
Committed on 01/04/2018 at 17:27.
Pushed by ngraham into branch 'master'.

Split Image Size into Width/Height

Summary:
This patch splits the single property "Image Size" into "Width" and "Height", providing more fine-tuned control for power users.

Test Plan:
- Sorting works correctly
- No real change, only exposed differently

Reviewers: #dolphin, elvisangelaccio, ngraham

Reviewed By: #dolphin, elvisangelaccio, ngraham

Subscribers: ngraham, elvisangelaccio

Differential Revision: https://phabricator.kde.org/D11816

M  +6    -11   src/kitemviews/kfileitemmodel.cpp
M  +1    -1    src/kitemviews/kfileitemmodel.h
M  +4    -24   src/kitemviews/private/kbaloorolesprovider.cpp
M  +1    -1    src/panels/places/placesitemmodel.cpp

https://commits.kde.org/dolphin/1441fefc07f126c1c9eddc3e9f1babff8b762b28